# $Revision: 1.448.2.42 $, $Date: 2008/10/27 22:17:13 $
#
# Conditional build:
%bcond_without	alsa			# build without ALSA support
%bcond_without	apidocs			# don't prepare API documentation
%bcond_without	autoreqdep		# don't care about package name deps generated by rpm
%bcond_with	kerberos5		# disable kerberos
%bcond_with	hidden_visibility	# no gcc hidden visibility
#
%define		_state		stable
%define		artsver		13:1.5.10

Summary:	K Desktop Environment - libraries
Summary(es.UTF-8):	K Desktop Environment - bibliotecas
Summary(ko.UTF-8):	KDE - 라이브러리
Summary(pl.UTF-8):	K Desktop Environment - biblioteki
Summary(pt_BR.UTF-8):	Bibliotecas de fundação do KDE
Summary(ru.UTF-8):	K Desktop Environment - Библиотеки
Summary(uk.UTF-8):	K Desktop Environment - Бібліотеки
Name:		kdelibs
Version:	3.5.10
Release:	2
Epoch:		9
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	43cd55ed15f63b5738d620ef9f9fd568
Source1:	%{name}-wmfplugin.tar.bz2
# Source1-md5:	df0d7c2a13bb68fe25e1d6c009df5b8d
Source2:	pnm.protocol
Source3:	x-icq.mimelnk
Source4:	x-mplayer2.desktop
Source5:	https://www.cacert.org/certs/root.crt
# Source5-md5:	fb262d55709427e2e9acadf2c1298c99
#Patch100:	%{name}-branch.diff
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-kstandarddirs.patch
Patch3:		%{name}-use_system_sgml.patch
Patch4:		%{name}-fileshareset.patch
Patch5:		%{name}-appicon_themable.patch
Patch6:		%{name}-kbugreport-https.patch
Patch7:		%{name}-xgl.patch
Patch8:		kde-ac260-lt.patch
Patch9:		%{name}-lib_loader.patch
Patch10:	%{name}-konqueror-agent.patch
# http://kate-editor.org/downloads/syntax_highlighting?kateversion=2.5
Patch11:	%{name}-kate-syntax.patch
URL:		http://www.kde.org/
BuildRequires:	OpenEXR-devel >= 1.4.0.a
BuildRequires:	acl-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	arts-qt-devel >= %{artsver}
BuildRequires:	artsc-devel >= %{artsver}
BuildRequires:	aspell-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6.1
BuildRequires:	boost-filesystem-devel
BuildRequires:	boost-regex-devel
BuildRequires:	bzip2-devel
BuildRequires:	cups-devel >= 1:1.3.0
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	ed
BuildRequires:	fam-devel
%{?with_hidden_visibility:BuildRequires:	gcc-c++ >= 5:4.1.0-0.20051206r108118.1}
BuildRequires:	gettext-devel
%{?with_apidocs:BuildRequires:	graphviz}
BuildRequires:	hspell-devel
BuildRequires:	jasper-devel >= 1.600
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	libart_lgpl-devel
BuildRequires:	libidn-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 2.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5-2
BuildRequires:	libvorbis-devel
BuildRequires:	libwmf-devel >= 2:0.2.0
BuildRequires:	libxml2-devel >= 2.4.9
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel >= 1.0.7
BuildRequires:	lua50-devel
BuildRequires:	mdns-bonjour-devel
BuildRequires:	openmotif-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel >= 3.5
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 6:3.3.3-4
%{?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.3.5.051113-1}
%{?with_apidocs:BuildRequires:	qt-doc}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.129
#BuildRequires:	unsermake >= 040511
BuildRequires:	zlib-devel
%if %{with autoreqdep}
BuildConflicts:	kdebase-core < 9:3.4.0
BuildConflicts:	kdepim-korganizer-libs
BuildConflicts:	kdepim-libkdepim < 3:3.3.0
%endif
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	XFree86
Requires:	arts >= %{artsver}
Requires:	docbook-dtd412-xml
Requires:	docbook-dtd42-xml
Requires:	docbook-style-xsl
Requires:	hicolor-icon-theme
Requires:	kde-common-dirs
Requires:	kdelibs-shared
Requires:	libxml2-progs
Requires:	qt >= 6:3.3.3-4
Requires:	setup >= 2.4.6-7
Obsoletes:	arts-kde
Obsoletes:	kde-theme-keramik
Obsoletes:	kdelibs-kabc
Obsoletes:	kdelibs-sound
Obsoletes:	kdelibs2
Obsoletes:	kdelibs2-sound
Obsoletes:	kdesupport
Obsoletes:	kdesupport-devel
Obsoletes:	kdesupport-mimelib
Obsoletes:	kdesupport-mimelib-devel
Obsoletes:	kdesupport-mimelib-static
Obsoletes:	kdesupport-static
Obsoletes:	kimproxy
# No longer supported/existing
Obsoletes:	arts-message
Obsoletes:	kde-sdscreen-KDEGirl
Obsoletes:	kde-sdscreen-default
Obsoletes:	kde-splash-KDEGirl < 03-5
Obsoletes:	kde-splash-default
Obsoletes:	kde-splash-keramik
Obsoletes:	kdeadmin-kwuftpd
Obsoletes:	kdeadmin-kxconfig
Obsoletes:	kdebase-kwmtheme
Obsoletes:	kdebase-mailnews
Obsoletes:	kdeedu-kgeo
Obsoletes:	kdegames-megami
Obsoletes:	kdenetwork-kmail
Obsoletes:	kdenetwork-knode
Obsoletes:	kdenetwork-kxmlrpcd
Obsoletes:	kdepim-commonlibs
Obsoletes:	kdepim-kaplan
Obsoletes:	kdesdk
Obsoletes:	kdesdk-devel
# More
Obsoletes:	kde-style-plastik
Obsoletes:	kdepim-kaddressbook < 3:3.1.91.030918-1
Obsoletes:	kdepim-kmail < 3:3.1.91.030918-1
Obsoletes:	kdepim-kontact < 3:3.1.91.030918-1
Obsoletes:	kdepim-korganizer < 3:3.1.91.030918-1
Obsoletes:	kdepim-libkcal < 3:3.1.91.030918-1
Obsoletes:	kdepim-libkdenetwork < 3:3.1.91.030918-1
Obsoletes:	kdepim-libkdepim < 3:3.2.90
Obsoletes:	kdetoys-kaphorism < 9:3.2.0
Obsoletes:	openoffice-mimelinks
Conflicts:	kaffeine <= 0.5-1
Conflicts:	kdeaddons-konqueror < 1:3.4.0
Conflicts:	kdebase-core < 9:3.4.0
Conflicts:	kdenetwork-kit < 10:3.3.0
Conflicts:	kdepim-devel < 3:3.2.90
Conflicts:	kmplayer <= 2:0.8.4-1
Conflicts:	kplayer < 0.5.1-5
Conflicts:	pixieplus < 0.3-4
Conflicts:	sim < 0.9.3-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# confuses OpenEXR detection
%undefine	configure_cache

%description
This package includes libraries that are central to the development
and execution of a KDE program, misc HTML documentation and theme
modules.

Included in this package are among others:
- kdecore - KDE core library,
- kdeui - KDE user interface library,
- khtml - KDE HTML widget with javascript and CSS support,
- kwallet - KDE password manager.

%description -l es.UTF-8
Bibliotecas para KDE.

%description -l pl.UTF-8
Ten pakiet zawiera biblioteki potrzebne do rozwijania i uruchamiania
aplikacji KDE, różną dokumentację oraz moduły z motywami wyglądu KDE.

Pakiet ten zawiera między innymi:
- kdecore - podstawową bibliotekę KDE,
- kdeui - interfejs użytkownika KDE,
- khtml - obsługę HTML, javascript oraz CSS dla KDE,
- kwallet - system zarządzania hasłami w KDE.

%description -l pt_BR.UTF-8
Bibliotecas de fundação do KDE requeridas por todo e qualquer
aplicativo KDE.

%description -l ru.UTF-8
Библиотеки для K Desktop Environment.

Включены библиотеки KDE:
- jscript (javascript),
- kdecore (ядро KDE),
- kdeui (интерфейс пользователя),
- khtmlw (работа с HTML),
- kimgio (обработка изображений).
- kspell (проверка орфографии),

%description -l uk.UTF-8
Бібліотеки для K Desktop Environment.

Включені такі бібліотеки KDE:
- jscript (javascript),
- kdecore (ядро KDE),
- kdeui (інтерфейс користувача),
- khtmlw (робота з HTML),
- kimgio (обробка зображень).
- kspell (перевірка орфографії),

%package libs
Summary:	KDE libraries
Summary(pl.UTF-8):	Biblioteki KDE
Group:		Libraries
Requires:	cups-lib >= 1:1.3.0

%description libs
KDE libraries.

%description libs -l pl.UTF-8
Biblioteki KDE.

%package devel
Summary:	kdelibs - header files and development documentation
Summary(pl.UTF-8):	kdelibs - pliki nagłówkowe i dokumentacja do kdelibs
Summary(pt_BR.UTF-8):	Arquivos de inclusão e documentação para compilar aplicativos KDE
Summary(ru.UTF-8):	Хедеры и документация для компилляции программ KDE
Summary(uk.UTF-8):	Хедери та документація для компіляції програм KDE
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	acl-devel
Requires:	arts-qt-devel >= %{artsver}
Requires:	artsc-devel >= %{artsver}
Requires:	fam-devel
Requires:	libart_lgpl-devel
Requires:	libidn-devel
Requires:	mdns-bonjour-devel
Requires:	pcre-devel
Requires:	qt-devel >= 6:3.3.3-4
Obsoletes:	arts-kde-devel
Obsoletes:	kdelibs-sound-devel
Obsoletes:	kdelibs-static
Obsoletes:	kdelibs2-devel
Obsoletes:	kdelibs2-sound-devel
Obsoletes:	kttsd-devel
Conflicts:	kdebase-devel <= 9:3.1.90

%description devel
This package contains header files and development documentation for
kdelibs.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i dokumentację potrzebną przy
pisaniu własnych programów wykorzystujących kdelibs.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão que são necessários para
compilar aplicativos KDE.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры, необходимые для компиляции программ для
KDE.

%description devel -l uk.UTF-8
Цей пакет містить хедери, необхідні для компіляції програм для KDE.

%package apidocs
Summary:	API documentation
Summary(pl.UTF-8):	Dokumentacja API
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kttsd-apidocs

%description apidocs
Annotated reference of KDE libraries programming interface including:
- class lists
- class members
- namespaces

%description apidocs -l pl.UTF-8
Dokumentacja interfejsu programowania bibliotek KDE z przypisami.
Zawiera:
- listy klas i ich składników
- listę przestrzeni nazw (namespace)

%package artsmessage
Summary:	Program used to display aRts daemon messages
Summary(pl.UTF-8):	Program do wyświetlania komunikatów demona aRts
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	arts-message

%description artsmessage
This program is run when a -m option argument is passed to aRts
daemon. It displays messages generated by daemon.

%description artsmessage -l pl.UTF-8
Ten program jest uruchamiany, gdy do demona aRts zostanie przekazana
opcja z parametrem -m. Będzie on używany do wyświetlenia komunikatów
demona.

%package kgrantpty
Summary:	Helper program to fix terminal permissions
Summary(pl.UTF-8):	Program pomocniczy do ustawiania uprawnień terminala
Group:		Applications/Terminal
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description kgrantpty
This suid root program fixes the permissions of pseudo-terminal device
files so that they cannot be eavesdropped by other local users.
Systems that support /dev/pts (typical PLD installations do) don't
require an extra program to do it, in that case this package is
useless.

Install this package if you're running a custom system that lacks
Unix98 pts support and privacy from other local users is a concern for
you.

%description kgrantpty -l pl.UTF-8
Ten program, działający z uprawnieniami roota, poprawia uprawnienia
plików pseudo-terminali, żeby uniknąć ich podsłuchiwania przez innych
lokalnych użytkowników. Systemy obsługujące /dev/pts (typowe
instalacje PLD go obsługują) nie wymagają do tego dodatkowego
programu, w tym przypadku ten pakiet jest bezużyteczny.

Zainstaluj ten pakiet jeżeli korzystasz z nietypowej konfiguracji
nieobsługującej pts-ów typu Unix98 i obawiasz się inwigilacji ze
strony innych użytkowników lokalnych.

%package shared
Summary:	KDE 3 and KDE 4 shared files
Summary(pl.UTF-8):	Pliki współdzielone między KDE 3 i KDE 4
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description shared
KDE 3 and KDE 4 shared files.

%description shared -l pl.UTF-8
Pliki współdzielone między KDE 3 i KDE 4.

%prep
%setup -q -a1
#%patch100 -p0
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

mv -f configure{,.dist}

# add https://www.cacert.org/ root certificate
cp -a %{SOURCE5} kio/kssl/kssl/cacert.pem
echo 'cacert.pem' >> kio/kssl/kssl/localcerts

%build
# merge cacert root certificate
cd kio/kssl/kssl
./mergelocal
cd -

cp /usr/share/automake/config.sub admin
export kde_htmldir=%{_kdedocdir}
export kde_libs_htmldir=%{_kdedocdir}
if [ ! -f configure ]; then
	%{__make} -f admin/Makefile.common cvs
fi

export path_sudo=/usr/bin/sudo
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?debug:--disable-rpath} \
	--disable-final \
	%{?with_hidden_visibility:--enable-gcc-hidden-visibility} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--enable-mitshm \
	--with%{!?with_alsa:out}-alsa \
	--with-distribution="PLD Linux Distribution" \
	--with-ldap=no \
	--with-lua-includes=%{_includedir}/lua50 \
	--with-qt-libraries=%{_libdir} \
	--with-sudo-kdesu-backend

%{__make}
%{?with_apidocs:%{__make} apidox}

%install
if [ ! -f makeinstall.stamp -o ! -d $RPM_BUILD_ROOT ]; then
	rm -rf makeinstall.stamp installed.stamp $RPM_BUILD_ROOT

	%{__make} install \
		DESTDIR=$RPM_BUILD_ROOT \
		kde_htmldir=%{_kdedocdir}
		kde_libs_htmldir=%{_kdedocdir}
	touch makeinstall.stamp
fi

if [ ! -f installed.stamp ]; then
	install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/services
	install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-icq.desktop
	install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/mimelnk/application

	install -d \
		$RPM_BUILD_ROOT/etc/security \
		$RPM_BUILD_ROOT%{_libdir}/kconf_update_bin \
		$RPM_BUILD_ROOT%{_datadir}/applnk/.hidden \
		$RPM_BUILD_ROOT%{_datadir}/apps/khtml/kpartplugins \
		$RPM_BUILD_ROOT%{_datadir}/apps/profiles \
		$RPM_BUILD_ROOT%{_datadir}/apps/remotes \
		$RPM_BUILD_ROOT%{_datadir}/config/magic \
		$RPM_BUILD_ROOT%{_datadir}/services/kconfiguredialog \
		$RPM_BUILD_ROOT%{_iconsdir}/crystalsvg/{16x16,22x22,32x32,48x48,64x64,128x128}/apps

	install -d $RPM_BUILD_ROOT%{_kdedocdir}/{ca,cs,da,de,en,en_GB,es,et,fi,fr,hu,it,ja,nb,nl,pl,pt,pt_BR,ro,ru,sk,sl,sv,tr,uk,zh_TW}/common

	# For fileshare
	touch $RPM_BUILD_ROOT/etc/security/fileshare.conf
	%{__sed} -i -e 's|/etc/init.d|/etc/rc.d/init.d|g' $RPM_BUILD_ROOT%{_bindir}/fileshare*

	if [ -d $RPM_BUILD_ROOT%{_kdedocdir}/en/%{name}-%{version}-apidocs ] ; then
		mv -f $RPM_BUILD_ROOT%{_kdedocdir}/en/%{name}-{%{version}-,}apidocs
	fi

	# packaged by hicolor-icon-theme
	rm $RPM_BUILD_ROOT%{_iconsdir}/hicolor/index.theme

	# remove *.la for dynamic plugins. kde lib loader handles .so now.
	rm $RPM_BUILD_ROOT%{_libdir}/kde3/*.la
	# keep $RPM_BUILD_ROOT%{_libdir}/kde3/plugins/designer/kdewidget.la for kdebase and others.
	rm $RPM_BUILD_ROOT%{_libdir}/kde3/plugins/styles/*.la
	rm $RPM_BUILD_ROOT%{_libdir}/libkdeinit_*.la

	# remove unwanted boost deps from .la
	sed -i 's:-lboost_filesystem -lboost_regex::' $RPM_BUILD_ROOT%{_libdir}/kde3/plugins/designer/kdewidgets.la
	sed -i 's:-lboost_filesystem -lboost_regex::' $RPM_BUILD_ROOT%{_libdir}/*.la

	touch installed.stamp
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%ghost /etc/security/fileshare.conf
%attr(755,root,root) %{_bindir}/cupsdconf
%attr(755,root,root) %{_bindir}/cupsdoprint
%attr(755,root,root) %{_bindir}/dcop
%attr(755,root,root) %{_bindir}/dcopclient
%attr(755,root,root) %{_bindir}/dcopfind
%attr(755,root,root) %{_bindir}/dcopidlng
%attr(755,root,root) %{_bindir}/dcopobject
%attr(755,root,root) %{_bindir}/dcopquit
%attr(755,root,root) %{_bindir}/dcopref
%attr(755,root,root) %{_bindir}/dcopserver
%attr(755,root,root) %{_bindir}/dcopserver_shutdown
%attr(755,root,root) %{_bindir}/dcopstart
#%attr(755,root,root) %{_bindir}/ghns
%attr(2755,root,fileshare) %{_bindir}/filesharelist
%attr(2755,root,fileshare) %{_bindir}/fileshareset
%attr(755,root,root) %{_bindir}/imagetops
%attr(755,root,root) %{_bindir}/kaddprinterwizard
%attr(755,root,root) %{_bindir}/kbuildsycoca
%attr(755,root,root) %{_bindir}/kcmshell
%attr(755,root,root) %{_bindir}/kconf_update
%attr(755,root,root) %{_bindir}/kcookiejar
%attr(755,root,root) %{_bindir}/kde-config
%attr(755,root,root) %{_bindir}/kde-menu
%attr(755,root,root) %{_bindir}/kded
%attr(755,root,root) %{_bindir}/kdeinit
%attr(755,root,root) %{_bindir}/kdeinit_shutdown
%attr(755,root,root) %{_bindir}/kdeinit_wrapper
%attr(755,root,root) %{_bindir}/kdesu_stub
%attr(755,root,root) %{_bindir}/kdontchangethehostname
%attr(755,root,root) %{_bindir}/kdostartupconfig
%attr(755,root,root) %{_bindir}/kfile
%attr(755,root,root) %{_bindir}/kfmexec
%attr(755,root,root) %{_bindir}/khotnewstuff
# removed?
#%attr(755,root,root) %{_bindir}/kimage_concat
%attr(755,root,root) %{_bindir}/kinstalltheme
%attr(755,root,root) %{_bindir}/kio_http_cache_cleaner
%attr(755,root,root) %{_bindir}/kio_uiserver
%attr(755,root,root) %{_bindir}/kioexec
%attr(755,root,root) %{_bindir}/kioslave
%attr(755,root,root) %{_bindir}/klauncher
%attr(755,root,root) %{_bindir}/kmailservice
%attr(755,root,root) %{_bindir}/kpac_dhcp_helper
%attr(755,root,root) %{_bindir}/ksendbugmail
%attr(755,root,root) %{_bindir}/kshell
%attr(755,root,root) %{_bindir}/kstartupconfig
%attr(755,root,root) %{_bindir}/ksvgtopng
%attr(755,root,root) %{_bindir}/ktelnetservice
%attr(755,root,root) %{_bindir}/ktradertest
%attr(755,root,root) %{_bindir}/kwrapper
%attr(755,root,root) %{_bindir}/lnusertemp
%attr(755,root,root) %{_bindir}/make_driver_db_cups
%attr(755,root,root) %{_bindir}/make_driver_db_lpr
%attr(755,root,root) %{_bindir}/meinproc
%attr(755,root,root) %{_bindir}/preparetips
%attr(4755,root,root) %{_bindir}/start_kdeinit
%attr(755,root,root) %{_bindir}/start_kdeinit_wrapper

%dir %{_datadir}/apps
%{_datadir}/apps/LICENSES
%dir %{_datadir}/apps/dcopidlng
%attr(755,root,root) %{_datadir}/apps/dcopidlng/kalyptus
%{_datadir}/apps/dcopidlng/*.pm
%{_datadir}/apps/kcertpart
%{_datadir}/apps/kconf_update/*.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/*.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/*.sh
%{_datadir}/apps/kdeprint
# also contains 3rdparty kpartplugins dir
%{_datadir}/apps/khtml/domain_info
%{_datadir}/apps/khtml/icons
%{_datadir}/apps/khtml/khtml.rc
%{_datadir}/apps/khtml/khtml_popupmenu.rc
%{_datadir}/apps/khtml/kpartplugins
%{_datadir}/apps/knewstuff
%{_datadir}/apps/kio_uiserver
%{_datadir}/apps/kjava/icons
%{_datadir}/apps/kjava/kjava.policy
%{_datadir}/apps/kjava/pluginsinfo
%{_datadir}/apps/knotify
%{_datadir}/apps/kstyle/pixmaps
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/apps/ktexteditor_docwordcompletion
%{_datadir}/apps/ktexteditor_insertfile
%{_datadir}/apps/ktexteditor_isearch
%{_datadir}/apps/ktexteditor_kdatatool
%{_datadir}/apps/proxyscout
%{_datadir}/config/colors
%{_datadir}/config/ipv6blacklist
%{_datadir}/config/katefiletyperc
%{_datadir}/config/katesyntaxhighlightingrc
%{_datadir}/config/kdeprintrc
%{_datadir}/config/khotnewstuffrc
%{_datadir}/config/ksslcalist
%{_datadir}/config/kthemestylerc
%{_datadir}/config/language.codes
%{_datadir}/config/magic
%{_datadir}/config/ui/kprintpreviewui.rc
%{_datadir}/emoticons/Default
%{_datadir}/mimelnk
%dir %{_datadir}/services/kresources
%{_datadir}/services/kresources/kabc_manager.desktop
%{_datadir}/services/kded
%{_datadir}/services/http_cache_cleaner.desktop
%{_datadir}/services/katepart.desktop
%{_datadir}/services/kbzip2filter.desktop
%{_datadir}/services/kcertpart.desktop
%{_datadir}/services/kgzipfilter.desktop
%{_datadir}/services/khtml.desktop
%{_datadir}/services/khtmlimage.desktop
%{_datadir}/services/kio_uiserver.desktop
%{_datadir}/services/kjavaappletviewer.desktop
%{_datadir}/services/kmailservice.protocol
%{_datadir}/services/kmultipart.desktop
%{_datadir}/services/knotify.desktop
%{_datadir}/services/kspell_aspell.desktop
%{_datadir}/services/kspell_ispell.desktop
%{_datadir}/services/kspell_hspell.desktop
%{_datadir}/services/ktexteditor_docwordcompletion.desktop
%{_datadir}/services/ktexteditor_insertfile.desktop
%{_datadir}/services/ktexteditor_isearch.desktop
%{_datadir}/services/ktexteditor_kdatatool.desktop
%{_datadir}/services/wmfthumbnail.desktop
%{_datadir}/services/bmp.kimgio
%{_datadir}/services/dds.kimgio
%{_datadir}/services/eps.kimgio
%{_datadir}/services/exr.kimgio
%{_datadir}/services/gif.kimgio
%{_datadir}/services/hdr.kimgio
%{_datadir}/services/ico.kimgio
%{_datadir}/services/jp2.kimgio
%{_datadir}/services/jpeg.kimgio
#%{_datadir}/services/krl.kimgio
%{_datadir}/services/mng.kimgio
%{_datadir}/services/pbm.kimgio
%{_datadir}/services/pcx.kimgio
%{_datadir}/services/pgm.kimgio
%{_datadir}/services/png.kimgio
%{_datadir}/services/ppm.kimgio
%{_datadir}/services/psd.kimgio
%{_datadir}/services/rgb.kimgio
%{_datadir}/services/tga.kimgio
%{_datadir}/services/tiff.kimgio
%{_datadir}/services/xbm.kimgio
%{_datadir}/services/xcf.kimgio
%{_datadir}/services/xpm.kimgio
%{_datadir}/services/xv.kimgio
%{_datadir}/services/data.protocol
%{_datadir}/services/file.protocol
%{_datadir}/services/ftp.protocol
%{_datadir}/services/ghelp.protocol
%{_datadir}/services/help.protocol
%{_datadir}/services/http.protocol
%{_datadir}/services/https.protocol
%{_datadir}/services/metainfo.protocol
%{_datadir}/services/mms.protocol
%{_datadir}/services/pnm.protocol
%{_datadir}/services/rlogin.protocol
%{_datadir}/services/rtsp.protocol
%{_datadir}/services/shellscript.desktop
%{_datadir}/services/ssh.protocol
%{_datadir}/services/telnet.protocol
%{_datadir}/services/webdav.protocol
%{_datadir}/services/webdavs.protocol
%{_datadir}/services/mmst.protocol
%{_datadir}/services/mmsu.protocol
%{_datadir}/services/rtspt.protocol
%{_datadir}/services/rtspu.protocol
%{_datadir}/servicetypes
%dir %{_desktopdir}/kde
# contains also 3rdparty hicolor & crystalsvg/apps trees
%{_iconsdir}/crystalsvg
%{_iconsdir}/default.kde
%lang(en) %{_kdedocdir}/en/kspell

%lang(ca) %dir %{_kdedocdir}/ca
%lang(ca) %dir %{_kdedocdir}/ca/common
%lang(cs) %dir %{_kdedocdir}/cs
%lang(cs) %dir %{_kdedocdir}/cs/common
%lang(da) %dir %{_kdedocdir}/da
%lang(da) %dir %{_kdedocdir}/da/common
%lang(de) %dir %{_kdedocdir}/de
%lang(de) %dir %{_kdedocdir}/de/common
%lang(es) %dir %{_kdedocdir}/es
%lang(es) %dir %{_kdedocdir}/es/common
%lang(en_GB) %dir %{_kdedocdir}/en_GB
%lang(en_GB) %dir %{_kdedocdir}/en_GB/common
%lang(et) %dir %{_kdedocdir}/et
%lang(et) %dir %{_kdedocdir}/et/common
%lang(fi) %dir %{_kdedocdir}/fi
%lang(fi) %dir %{_kdedocdir}/fi/common
%lang(fr) %dir %{_kdedocdir}/fr
%lang(fr) %dir %{_kdedocdir}/fr/common
%lang(hu) %dir %{_kdedocdir}/hu
%lang(hu) %dir %{_kdedocdir}/hu/common
%lang(it) %dir %{_kdedocdir}/it
%lang(it) %dir %{_kdedocdir}/it/common
%lang(ja) %dir %{_kdedocdir}/ja
%lang(ja) %dir %{_kdedocdir}/ja/common
%lang(nb) %dir %{_kdedocdir}/nb
%lang(nb) %dir %{_kdedocdir}/nb/common
%lang(nl) %dir %{_kdedocdir}/nl
%lang(nl) %dir %{_kdedocdir}/nl/common
%lang(pl) %dir %{_kdedocdir}/pl
%lang(pl) %dir %{_kdedocdir}/pl/common
%lang(pt) %dir %{_kdedocdir}/pt
%lang(pt) %dir %{_kdedocdir}/pt/common
%lang(pt_BR) %dir %{_kdedocdir}/pt_BR
%lang(pt_BR) %dir %{_kdedocdir}/pt_BR/common
%lang(ro) %dir %{_kdedocdir}/ro
%lang(ro) %dir %{_kdedocdir}/ro/common
%lang(ru) %dir %{_kdedocdir}/ru
%lang(ru) %dir %{_kdedocdir}/ru/common
%lang(sk) %dir %{_kdedocdir}/sk
%lang(sk) %dir %{_kdedocdir}/sk/common
%lang(sl) %dir %{_kdedocdir}/sl
%lang(sl) %dir %{_kdedocdir}/sl/common
%lang(sv) %dir %{_kdedocdir}/sv
%lang(sv) %dir %{_kdedocdir}/sv/common
%lang(tr) %dir %{_kdedocdir}/tr
%lang(tr) %dir %{_kdedocdir}/tr/common
%lang(uk) %dir %{_kdedocdir}/uk
%lang(uk) %dir %{_kdedocdir}/uk/common
%lang(zh_TW) %dir %{_kdedocdir}/zh_TW
%lang(zh_TW) %dir %{_kdedocdir}/zh_TW/common

# 3rdparty directories
%dir %{_datadir}/services/kconfiguredialog

# merged kabc files
%attr(755,root,root) %{_bindir}/kab2kabc
%{_datadir}/apps/kabc
%{_datadir}/autostart/kab2kabc.desktop
%{_datadir}/services/kresources/kabc
%{_desktopdir}/kde/kresources.desktop

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/kde3
%dir %{_libdir}/kde3/plugins
%dir %{_libdir}/kde3/plugins/designer
%attr(755,root,root) %{_libdir}/kde3/plugins/designer/kdewidgets.so
%dir %{_libdir}/kde3/plugins/styles
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/highcolor.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/highcontrast.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/keramik.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/kthemestyle.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/light.so
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/plastik.so
%attr(755,root,root) %{_libdir}/kde3/cupsdconf.so
%attr(755,root,root) %{_libdir}/kde3/dcopserver.so
%attr(755,root,root) %{_libdir}/kde3/kaddprinterwizard.so
%attr(755,root,root) %{_libdir}/kde3/kbuildsycoca.so
%attr(755,root,root) %{_libdir}/kde3/kbzip2filter.so
%attr(755,root,root) %{_libdir}/kde3/kcmshell.so
%attr(755,root,root) %{_libdir}/kde3/kconf_update.so
%attr(755,root,root) %{_libdir}/kde3/kcookiejar.so
%attr(755,root,root) %{_libdir}/kde3/kded.so
%attr(755,root,root) %{_libdir}/kde3/kded_kcookiejar.so
%attr(755,root,root) %{_libdir}/kde3/kded_kdeprintd.so
%attr(755,root,root) %{_libdir}/kde3/kded_kdetrayproxy.so
%attr(755,root,root) %{_libdir}/kde3/kded_kpasswdserver.so
%attr(755,root,root) %{_libdir}/kde3/kded_kssld.so
%attr(755,root,root) %{_libdir}/kde3/kded_kwalletd.so
%attr(755,root,root) %{_libdir}/kde3/kded_proxyscout.so
%attr(755,root,root) %{_libdir}/kde3/kdeprint_cups.so
%attr(755,root,root) %{_libdir}/kde3/kdeprint_ext.so
%attr(755,root,root) %{_libdir}/kde3/kdeprint_lpdunix.so
%attr(755,root,root) %{_libdir}/kde3/kdeprint_lpr.so
%attr(755,root,root) %{_libdir}/kde3/kdeprint_rlpr.so
%attr(755,root,root) %{_libdir}/kde3/kdeprint_tool_escputil.so
%attr(755,root,root) %{_libdir}/kde3/kfileaudiopreview.so
%attr(755,root,root) %{_libdir}/kde3/kgzipfilter.so
%attr(755,root,root) %{_libdir}/kde3/khtmlimagepart.so
%attr(755,root,root) %{_libdir}/kde3/kimg_dds.so
%attr(755,root,root) %{_libdir}/kde3/kimg_eps.so
%attr(755,root,root) %{_libdir}/kde3/kimg_exr.so
%attr(755,root,root) %{_libdir}/kde3/kimg_hdr.so
%attr(755,root,root) %{_libdir}/kde3/kimg_ico.so
%attr(755,root,root) %{_libdir}/kde3/kimg_jp2.so
%attr(755,root,root) %{_libdir}/kde3/kimg_pcx.so
%attr(755,root,root) %{_libdir}/kde3/kimg_psd.so
%attr(755,root,root) %{_libdir}/kde3/kimg_rgb.so
%attr(755,root,root) %{_libdir}/kde3/kimg_tga.so
%attr(755,root,root) %{_libdir}/kde3/kimg_tiff.so
%attr(755,root,root) %{_libdir}/kde3/kimg_xcf.so
%attr(755,root,root) %{_libdir}/kde3/kimg_xview.so
%attr(755,root,root) %{_libdir}/kde3/kio_file.so
%attr(755,root,root) %{_libdir}/kde3/kio_ftp.so
%attr(755,root,root) %{_libdir}/kde3/kio_ghelp.so
%attr(755,root,root) %{_libdir}/kde3/kio_help.so
%attr(755,root,root) %{_libdir}/kde3/kio_http.so
%attr(755,root,root) %{_libdir}/kde3/kio_http_cache_cleaner.so
%attr(755,root,root) %{_libdir}/kde3/kio_metainfo.so
%attr(755,root,root) %{_libdir}/kde3/kio_uiserver.so
%attr(755,root,root) %{_libdir}/kde3/kjavaappletviewer.so
%attr(755,root,root) %{_libdir}/kde3/klauncher.so
%attr(755,root,root) %{_libdir}/kde3/knotify.so
%attr(755,root,root) %{_libdir}/kde3/kspell_aspell.so
%attr(755,root,root) %{_libdir}/kde3/kspell_ispell.so
%attr(755,root,root) %{_libdir}/kde3/kspell_hspell.so
%attr(755,root,root) %{_libdir}/kde3/kstyle_highcontrast_config.so
%attr(755,root,root) %{_libdir}/kde3/kstyle_plastik_config.so
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_docwordcompletion.so
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_insertfile.so
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_isearch.so
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_kdatatool.so
%attr(755,root,root) %{_libdir}/kde3/libkatepart.so
%attr(755,root,root) %{_libdir}/kde3/libkcertpart.so
%attr(755,root,root) %{_libdir}/kde3/libkdeprint_management_module.so
%attr(755,root,root) %{_libdir}/kde3/libkhtmlpart.so
%attr(755,root,root) %{_libdir}/kde3/libkmultipart.so
%attr(755,root,root) %{_libdir}/kde3/libshellscript.so
%attr(755,root,root) %{_libdir}/kde3/wmfthumbnail.so
%attr(755,root,root) %{_libdir}/libDCOP.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libDCOP.so.4
%attr(755,root,root) %{_libdir}/libartskde.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartskde.so.1
%attr(755,root,root) %{_libdir}/libkabc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkabc.so.1
%attr(755,root,root) %{_libdir}/libkabc_dir.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkabc_dir.so.1
%attr(755,root,root) %{_libdir}/libkabc_file.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkabc_file.so.1
%attr(755,root,root) %{_libdir}/libkabc_ldapkio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkabc_ldapkio.so.1
%attr(755,root,root) %{_libdir}/libkatepartinterfaces.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkatepartinterfaces.so.0
%attr(755,root,root) %{_libdir}/libkdecore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdecore.so.4
%attr(755,root,root) %{_libdir}/libkdefakes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdefakes.so.4
%attr(755,root,root) %{_libdir}/libkdefx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdefx.so.4
%attr(755,root,root) %{_libdir}/libkdeinit_cupsdconf.so
%attr(755,root,root) %{_libdir}/libkdeinit_dcopserver.so
%attr(755,root,root) %{_libdir}/libkdeinit_kaddprinterwizard.so
%attr(755,root,root) %{_libdir}/libkdeinit_kbuildsycoca.so
%attr(755,root,root) %{_libdir}/libkdeinit_kcmshell.so
%attr(755,root,root) %{_libdir}/libkdeinit_kconf_update.so
%attr(755,root,root) %{_libdir}/libkdeinit_kcookiejar.so
%attr(755,root,root) %{_libdir}/libkdeinit_kded.so
%attr(755,root,root) %{_libdir}/libkdeinit_kio_http_cache_cleaner.so
%attr(755,root,root) %{_libdir}/libkdeinit_kio_uiserver.so
%attr(755,root,root) %{_libdir}/libkdeinit_klauncher.so
%attr(755,root,root) %{_libdir}/libkdeprint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdeprint.so.4
%attr(755,root,root) %{_libdir}/libkdeprint_management.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdeprint_management.so.4
%attr(755,root,root) %{_libdir}/libkdesasl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdesasl.so.1
%attr(755,root,root) %{_libdir}/libkdesu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdesu.so.4
%attr(755,root,root) %{_libdir}/libkdeui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdeui.so.4
%attr(755,root,root) %{_libdir}/libkdnssd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkdnssd.so.1
%attr(755,root,root) %{_libdir}/libkhtml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkhtml.so.4
%attr(755,root,root) %{_libdir}/libkimproxy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkimproxy.so.0
%attr(755,root,root) %{_libdir}/libkio.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkio.so.4
%attr(755,root,root) %{_libdir}/libkjava.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkjava.so.1
%attr(755,root,root) %{_libdir}/libkjs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkjs.so.1
%attr(755,root,root) %{_libdir}/libkmdi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmdi.so.1
%attr(755,root,root) %{_libdir}/libkmdi2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmdi2.so.1
%attr(755,root,root) %{_libdir}/libkmediaplayer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmediaplayer.so.0
%attr(755,root,root) %{_libdir}/libkmid.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmid.so.0
%attr(755,root,root) %{_libdir}/libknewstuff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknewstuff.so.1
%attr(755,root,root) %{_libdir}/libkntlm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkntlm.so.0
%attr(755,root,root) %{_libdir}/libkparts.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkparts.so.2
%attr(755,root,root) %{_libdir}/libkresources.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkresources.so.1
%attr(755,root,root) %{_libdir}/libkscreensaver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkscreensaver.so.4
%attr(755,root,root) %{_libdir}/libkscript.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkscript.so.0
%attr(755,root,root) %{_libdir}/libkspell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkspell.so.4
%attr(755,root,root) %{_libdir}/libkspell2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkspell2.so.1
%attr(755,root,root) %{_libdir}/libktexteditor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libktexteditor.so.0
%attr(755,root,root) %{_libdir}/libkunittest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkunittest.so.1
%attr(755,root,root) %{_libdir}/libkutils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkutils.so.1
%attr(755,root,root) %{_libdir}/libkwalletbackend.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkwalletbackend.so.1
%attr(755,root,root) %{_libdir}/libkwalletclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkwalletclient.so.1
%attr(755,root,root) %{_libdir}/libvcard.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvcard.so.0

# merged kabc files
%attr(755,root,root) %{_libdir}/kde3/kabc_dir.so
%attr(755,root,root) %{_libdir}/kde3/kabc_file.so
%attr(755,root,root) %{_libdir}/kde3/kabc_ldapkio.so
%attr(755,root,root) %{_libdir}/kde3/kabcformat_binary.so
%attr(755,root,root) %{_libdir}/kde3/kcm_kresources.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dcopidl
%attr(755,root,root) %{_bindir}/dcopidl2cpp
%attr(755,root,root) %{_bindir}/kconfig_compiler
%{_includedir}/[!a]*
%{_includedir}/arts/*
%{_libdir}/kde3/plugins/designer/kdewidgets.la
%{_libdir}/libDCOP.la
%attr(755,root,root) %{_libdir}/libDCOP.so
%{_libdir}/libartskde.la
%attr(755,root,root) %{_libdir}/libartskde.so
%{_libdir}/libkabc.la
%attr(755,root,root) %{_libdir}/libkabc.so
%{_libdir}/libkabc_dir.la
%attr(755,root,root) %{_libdir}/libkabc_dir.so
%{_libdir}/libkabc_file.la
%attr(755,root,root) %{_libdir}/libkabc_file.so
%{_libdir}/libkabc_ldapkio.la
%attr(755,root,root) %{_libdir}/libkabc_ldapkio.so
%{_libdir}/libkatepartinterfaces.la
%attr(755,root,root) %{_libdir}/libkatepartinterfaces.so
%{_libdir}/libkdecore.la
%attr(755,root,root) %{_libdir}/libkdecore.so
%{_libdir}/libkdefakes.la
%attr(755,root,root) %{_libdir}/libkdefakes.so
%{_libdir}/libkdefakes_nonpic.a
%{_libdir}/libkdefx.la
%attr(755,root,root) %{_libdir}/libkdefx.so
%{_libdir}/libkdeprint.la
%attr(755,root,root) %{_libdir}/libkdeprint.so
%{_libdir}/libkdeprint_management.la
%attr(755,root,root) %{_libdir}/libkdeprint_management.so
%{_libdir}/libkdesasl.la
%attr(755,root,root) %{_libdir}/libkdesasl.so
%{_libdir}/libkdesu.la
%attr(755,root,root) %{_libdir}/libkdesu.so
%{_libdir}/libkdeui.la
%attr(755,root,root) %{_libdir}/libkdeui.so
%{_libdir}/libkdnssd.la
%attr(755,root,root) %{_libdir}/libkdnssd.so
%{_libdir}/libkhtml.la
%attr(755,root,root) %{_libdir}/libkhtml.so
%{_libdir}/libkimproxy.la
%attr(755,root,root) %{_libdir}/libkimproxy.so
%{_libdir}/libkio.la
%attr(755,root,root) %{_libdir}/libkio.so
%{_libdir}/libkjava.la
%attr(755,root,root) %{_libdir}/libkjava.so
%{_libdir}/libkjs.la
%attr(755,root,root) %{_libdir}/libkjs.so
%{_libdir}/libkmdi.la
%attr(755,root,root) %{_libdir}/libkmdi.so
%{_libdir}/libkmdi2.la
%attr(755,root,root) %{_libdir}/libkmdi2.so
%{_libdir}/libkmediaplayer.la
%attr(755,root,root) %{_libdir}/libkmediaplayer.so
%{_libdir}/libkmid.la
%attr(755,root,root) %{_libdir}/libkmid.so
%{_libdir}/libknewstuff.la
%attr(755,root,root) %{_libdir}/libknewstuff.so
%{_libdir}/libkntlm.la
%attr(755,root,root) %{_libdir}/libkntlm.so
%{_libdir}/libkparts.la
%attr(755,root,root) %{_libdir}/libkparts.so
%{_libdir}/libkresources.la
%attr(755,root,root) %{_libdir}/libkresources.so
%{_libdir}/libkscreensaver.la
%attr(755,root,root) %{_libdir}/libkscreensaver.so
%{_libdir}/libkscript.la
%attr(755,root,root) %{_libdir}/libkscript.so
%{_libdir}/libkspell.la
%attr(755,root,root) %{_libdir}/libkspell.so
%{_libdir}/libkspell2.la
%attr(755,root,root) %{_libdir}/libkspell2.so
%{_libdir}/libktexteditor.la
%attr(755,root,root) %{_libdir}/libktexteditor.so
%{_libdir}/libkunittest.la
%attr(755,root,root) %{_libdir}/libkunittest.so
%{_libdir}/libkutils.la
%attr(755,root,root) %{_libdir}/libkutils.so
%{_libdir}/libkwalletbackend.la
%attr(755,root,root) %{_libdir}/libkwalletbackend.so
%{_libdir}/libkwalletclient.la
%attr(755,root,root) %{_libdir}/libkwalletclient.so
%{_libdir}/libvcard.la
%attr(755,root,root) %{_libdir}/libvcard.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_kdedocdir}/en/%{name}*-apidocs
%endif

%files artsmessage
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artsmessage

%files kgrantpty
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/kgrantpty

%files shared
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/checkXML
%attr(755,root,root) %{_bindir}/kunittestmodrunner
%attr(755,root,root) %{_bindir}/makekdewidgets
%{_datadir}/apps/katepart
%{_datadir}/apps/kcm_componentchooser
%{_datadir}/apps/kdeui
%{_datadir}/apps/kdewidgets
%{_datadir}/apps/khtml/css/html4.css
%{_datadir}/apps/khtml/css/quirks.css
%{_datadir}/apps/khtml/khtml_browser.rc
%{_datadir}/apps/kjava/kjava.jar
%{_datadir}/apps/ksgmltools2
%{_datadir}/apps/kssl
%{_datadir}/config/ui/ui_standards.rc
%{_datadir}/config/kdebug.areas
%{_datadir}/config/kdebugrc
%lang(en) %{_kdedocdir}/en/common
%{_datadir}/locale/all_languages
%dir %{_datadir}/apps/khtml
%dir %{_datadir}/apps/khtml/css
%dir %{_datadir}/apps/kjava
%dir %{_datadir}/config

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdelibs.spec,v $
Revision 1.448.2.42  2008/10/27 22:17:13  glen
- add cacert.org root certificate; rel 2

Revision 1.448.2.41  2008/08/29 21:15:57  glen
- don't package dirs owned by kde-common-dirs

Revision 1.448.2.40  2008/08/22 14:43:24  glen
- KDE 3.5.10

Revision 1.448.2.39  2008/05/10 04:10:24  charles
- rm kerberos(5) bcond

Revision 1.448.2.38  2008-03-24 20:15:37  glen
- add missing base R: -libs; rel 5

Revision 1.448.2.37  2008-02-24 20:00:08  glen
- rebuild with fixed application/x-mplayer2.desktop mimelnk; rel 4

Revision 1.448.2.36  2008-02-23 20:48:32  glen
- merge -pl for -shared from HEAD

Revision 1.448.2.35  2008-02-18 15:10:40  glen
- rel 3; add  / as dir separator in libs loader

Revision 1.448.2.34  2008-02-17 13:16:12  glen
- revert R: sperl (find some less intrusive method); rel 2

Revision 1.448.2.33  2008-02-15 20:59:15  glen
- keep kconf_update scripts and .upd files in same package

Revision 1.448.2.32  2008-02-15 19:08:07  glen
- %dir %{_datadir}/apps/kconf_update in kde-common-dirs

Revision 1.448.2.31  2008-02-15 16:23:34  glen
- ghost soname symlinks

Revision 1.448.2.30  2008-02-14 10:16:53  glen
- disable branch diff when not using

Revision 1.448.2.29  2008-02-14 09:58:19  glen
- merge KDE 3.5.9 from HEAD, includig library_loader patches

Revision 1.448.2.28  2008-02-14 07:40:31  glen
- convert to utf8

Revision 1.448.2.27  2007/10/23 07:28:20  glen
- rel 4 (builder email lost, blah)

Revision 1.448.2.26  2007/10/21 10:03:55  glen
- rel 3; branch diff updated

Revision 1.448.2.25  2007/10/18 15:10:37  glen
- added missing language dirs for kde-i18n (HEAD merge)

Revision 1.448.2.24  2007/10/18 14:46:50  glen
- add branch.diff. package kfmexec symlink

Revision 1.448.2.23  2007/10/18 12:43:10  glen
- package start_kdeinit_wrapper; rel 2

Revision 1.448.2.22  2007/10/16 21:32:46  glen
- KDE 3.5.8

Revision 1.448.2.21  2007/08/24 23:04:29  adamg
- fix for CVE-2007-4224, CVE-2007-4225, CVE-2007-3820
  (http://www.kde.org/info/security/advisory-20070816-1.txt)
- release 2

Revision 1.448.2.20  2007/05/22 19:43:49  glen
- new tarballs

Revision 1.448.2.19  2007/05/22 19:28:48  glen
- merged KDE 3.5.7 from HEAD

Revision 1.448.2.18  2007/04/06 10:48:49  glen
- add -khtml-slow_page_change.patch (by Michal Kochanowicz); rel 4

Revision 1.448.2.17  2007/03/22 00:41:55  hawk
- added konqueror-agent.patch
- release 3

Revision 1.448.2.16  2007/03/06 01:18:56  glen
- use virtual mdns-bonjour-devel; rel 2

Revision 1.448.2.15  2007/01/28 22:12:56  glen
- rel 1

Revision 1.448.2.14  2007/01/24 19:04:05  glen
- update Source0-md5

Revision 1.448.2.13  2007/01/17 14:25:16  glen
- KDE 3.5.6

Revision 1.448.2.12  2006/11/03 09:39:47  glen
- rel 1

Revision 1.448.2.11  2006/10/29 18:25:07  glen
- start_kdeinit is by default installed on Linux with a set SETUID root bit!
  This is needed to prevent kdeinit from being killed by a bad heuristic in the
  OOM-killer when running out of memory.
- cleanups

Revision 1.448.2.10  2006/10/15 14:39:38  glen
- prefer sudo in kdesu

Revision 1.448.2.9  2006/10/10 22:15:11  glen
- KDE 3.5.5

Revision 1.448.2.8  2006/09/18 19:44:02  glen
- korrect artsver

Revision 1.448.2.7  2006/07/31 16:06:44  glen
- adapterized

Revision 1.448.2.6  2006/07/31 16:01:10  glen
- 3.5.4

Revision 1.448.2.5  2006/05/30 16:07:26  charles
- fix %prepare section

Revision 1.448.2.4  2006/05/29 06:34:18  glen
- KDE 3.5.3

Revision 1.448.2.3  2006/04/05 22:50:28  glen
- merge with HEAD

Revision 1.448.2.2  2006/03/28 14:22:47  glen
- add exr bcond

Revision 1.448.2.1  2006/03/26 18:43:57  glen
- 3.5.2

Revision 1.448  2006/02/11 14:25:32  arekm
- branch patch updated

Revision 1.447  2006/01/22 16:25:40  arekm
- enable lua

Revision 1.446  2006/01/22 16:04:42  arekm
- updated to 3.5.1

Revision 1.445  2006/01/22 14:08:58  pluto
- branch diff updated, release 9.

Revision 1.444  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.443  2006/01/15 13:18:17  arekm
- rel 8; KJS sec fix

Revision 1.442  2005/12/31 17:00:27  arekm
- upstream fixes; rel++

Revision 1.441  2005/12/27 23:02:05  pluto
- disable-final (memory hog and no major optimizations).

Revision 1.440  2005/12/19 00:59:49  ankry
- rel. 6

Revision 1.439  2005/12/19 00:59:13  ankry
- more O:/C: for cleaner upgrade

Revision 1.438  2005/12/08 11:53:04  adgor
- hidden_visibility bcond

Revision 1.437  2005/12/06 23:43:23  glen
- adapterized
- apply branch diff
- rel 5

Revision 1.436  2005/12/01 08:27:31  arekm
- rel 4; rebuild without mdns + acl-devel br

Revision 1.435  2005/11/29 19:29:29  qboosh
- removed bogus _noautoreq, it doesn't work this way; mDNSResponder updated on builders already

Revision 1.434  2005/11/28 14:59:15  charles
- noautoreq mDNSResponder

Revision 1.433  2005/11/28 14:49:00  qboosh
- BR+R: acl-devel

Revision 1.432  2005/11/27 12:57:00  arekm
- rel 3; rebuild with new jasper

Revision 1.431  2005/11/26 13:39:06  arekm
- rel 2; new tarball

Revision 1.430  2005/11/23 09:33:23  arekm
- rel 1

Revision 1.429  2005/11/22 23:02:05  glen
- use https url for bugreports (http urls don't work with proxy)

Revision 1.428  2005/11/21 16:23:51  glen
- check-files todo

Revision 1.427  2005/11/21 14:41:19  glen
- update md5

Revision 1.426  2005/11/19 14:56:15  glen
- more distcc/CCLD/CXXLD fix

Revision 1.425  2005/11/16 10:26:35  glen
- ccache build fix (CCLD, CCLD)
- fixed duplicate files in -libs

Revision 1.424  2005/11/13 18:46:00  glen
- bogus lua includes removed (lua is not in BR)

Revision 1.423  2005/11/12 22:55:10  arekm
- fix _kdever

Revision 1.422  2005/11/12 22:40:14  arekm
- up to 3.5.0rc1

Revision 1.421  2005/11/03 17:10:14  glen
- rel 2

Revision 1.420  2005/11/02 23:50:41  qboosh
- pl for -libs

Revision 1.419  2005/11/02 13:08:54  glen
- -libs split

Revision 1.418  2005/10/09 17:44:09  arekm
- rel 1

Revision 1.417  2005/10/06 16:48:10  arekm
- up to 3.4.3

Revision 1.416  2005/08/26 16:07:07  arekm
- rel 3; rebuild

Revision 1.415  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.414  2005/08/04 06:27:43  arekm
- rel 2

Revision 1.413  2005/08/02 06:03:04  arekm
- There was a bug where textedit says too many misspelt words and turns
  off when you have only written 1 or 2 words!  So I wrote a patch..  After
  discussing with the others, we agree a default of 100 words minimum before it
  can be disabled.

Revision 1.412  2005/07/28 17:17:30  arekm
- rel 1

Revision 1.411  2005/07/21 13:47:02  arekm
- up to 3.4.2

Revision 1.410  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.409  2005/06/15 21:35:12  qboosh
- wallpapers dir belongs to X*-libs now

Revision 1.408  2005/05/31 20:56:35  arekm
- rel 1

Revision 1.407  2005/05/30 20:56:24  wolf
- R: hicolor-icon-theme

Revision 1.406  2005/05/26 00:52:07  arekm
- up to 3.4.1

Revision 1.405  2005/05/23 21:40:44  ankry
- reverted

Revision 1.404  2005/05/23 21:34:04  ankry
- C: kile = 1.8-1, rel. 8

Revision 1.403  2005/05/19 09:13:10  pluto
- -fvisiblity-inlines-hidden reenabled.

Revision 1.402  2005/05/16 17:17:11  ankry
- remove bogus C:, rel. 6 for rebuild

Revision 1.401  2005/05/13 20:44:31  ankry
- some conflicts, rel. 5

Revision 1.400  2005/05/13 20:13:25  ankry
- one more mimelnk, desktop; STBR4Ac

Revision 1.399  2005/05/13 17:50:14  arekm
- add Conflicts:     kdeaddons-konqueror < 9:3.4.0

Revision 1.398  2005/05/05 16:57:40  pluto
- disable -fvisibility-inlines-hidden, release 4 for Th.

Revision 1.397.2.1.2.3  2005/09/25 14:39:04  djurban
- update to new snap 050925 :)

Revision 1.397.2.1.2.2  2005/06/20 18:51:28  djurban
- finished snap 050620, will need update in 2h, infinite loop introduced in khtml..

Revision 1.397.2.1.2.1  2005/06/20 13:45:56  djurban
- begin my line of kde snaps, no tarball with sources, as i am using
  my own svn checkout
- ac/am generation moved to %prep, no enable-final

Revision 1.397.2.1  2005/05/03 10:42:20  adgor
- 3.4.89

Revision 1.397  2005/04/24 18:47:53  arekm
- add C: kdeaddons-konqueror < 1:3.4.0; replace O: akregator by C: akregator < 3.4.0

Revision 1.396  2005/04/18 19:40:37  arekm
- rel 3

Revision 1.395  2005/04/18 08:21:09  charles
- kdelibs-devel - added R: mDNSResponder-devel

Revision 1.394  2005/04/15 16:51:43  charles
- rm BR mDNSResponder (installed by mDNSResponder-devel)

Revision 1.393  2005/04/13 17:34:48  qboosh
- normalize bcond for omitting BC

Revision 1.392  2005/03/29 15:41:40  djurban
- rel. 2, conficts for ac isolated, finished

Revision 1.391  2005/03/28 13:47:05  adgor
- Commented out defaultfont.patch (at this moment id does nothing)

Revision 1.390  2005/03/26 17:15:53  qboosh
- sorted BRs, cleanups

Revision 1.389  2005/03/26 16:56:33  arekm
- rel 1; add missing requires (mkochano)

Revision 1.388  2005/03/26 14:33:28  djurban
- rel. 1

Revision 1.387  2005/03/20 14:28:01  qboosh
- -devel O: kttsd-devel, same for -apidocs (kspeech interface is in kdelibs now)

Revision 1.386  2005/03/20 12:29:40  qboosh
- conflicts with kdebase-core < 3.4 (libkdeinit_kcmshell)

Revision 1.385  2005/03/16 22:19:05  arekm
- patch4 and 5 is back

Revision 1.384  2005/03/16 18:30:23  arekm
- on ftp it sits in 3.4 dir

Revision 1.383  2005/03/16 17:46:03  blekot
- Source0 fix

Revision 1.382  2005/03/16 16:59:03  arekm
- merged DEVEL

Revision 1.381  2005/01/05 22:46:14  havner
- rel 3 for aspell 0.50 rebuild

Revision 1.380  2005/01/04 21:54:45  havner
- security pointed by Michal Kochanowicz

Revision 1.379  2004/12/14 23:52:39  havner
- patch 6 & 7 removed, already in branch diff

Revision 1.378  2004/12/14 23:21:40  havner
- post 3.3.2 branch diff

Revision 1.377  2004/12/12 23:10:02  ankry
- 3.3.2; thanks to Michal Kochanowicz

Revision 1.376  2004/12/10 22:57:23  ankry
- rel. 8

Revision 1.375  2004/12/09 19:16:54  havner
- kio_fix patch
- rel 7

Revision 1.374  2004/12/02 20:41:50  djurban
- stbring for ac

Revision 1.373  2004/12/01 20:25:43  djurban
- missing 'fi' wasted 1,5h

Revision 1.372  2004/12/01 19:09:07  djurban
- rel 5 fix instal

Revision 1.371  2004/11/30 16:06:34  djurban
- make patch100 actually apply, now STBRing

Revision 1.370  2004/11/30 15:02:49  djurban
- rel.4 to incorporate 3.3.2 changes stbr

Revision 1.369  2004/11/02 21:08:43  qboosh
- formatting

Revision 1.369.2.13  2005/03/09 22:20:34  arekm
- new tarball

Revision 1.369.2.12  2005/03/05 12:11:33  arekm
- up to 3.4.0 (tarballs _are_ available for pld developers so don't play stupid games as pluto does)

Revision 1.369.2.11  2005/02/24 08:05:39  adgor
- No unsermake BR at this moment

Revision 1.369.2.10  2005/02/20 12:03:54  adgor
- 3.3.92.050217

Revision 1.369.2.9  2005/02/12 15:46:50  adgor
- 3.3.92.050211 - fixed key bindings
- Seems to work nice

Revision 1.369.2.8  2005/02/11 16:23:46  adgor
- Updated to 050210 snap because kdebase-3.3.92 does not build

Revision 1.369.2.7  2005/02/10 19:56:02  adgor
- 3.3.92
- Updated %files

Revision 1.369.2.6  2005/01/21 16:50:10  adgor
- Missing link

Revision 1.369.2.5  2005/01/20 15:08:07  adgor
- Simplified moving

Revision 1.369.2.4  2005/01/20 14:31:20  adgor
- No unsermake at this moment
- Cleanups

Revision 1.369.2.3  2005/01/14 14:53:06  wolf
- 3.3.91

Revision 1.381  2005/01/05 22:46:14  havner
- rel 3 for aspell 0.50 rebuild

Revision 1.380  2005/01/04 21:54:45  havner
- security pointed by Michal Kochanowicz
